> **Description:** All notable changes to the Report API will be documented here.

# Changelog

All notable changes to the current API will be documented here.
To learn about API versioning, see
[API lifecycle](https://developer.vippsmobilepay.com/docs/knowledge-base/api-lifecycle.md).

Changes that affect multiple APIs are documented in the [general changelog](https://developer.vippsmobilepay.com/docs/changelog.md).

## History

### February 2026

* Added support for Donations organizations using [merchant-level keys](https://developer.vippsmobilepay.com/docs/APIs/donations-api/api-guide.md#how-to-get-the-api-keys).

### August 2025

* Bug fix Denmark and Finland: The value of the `pspReference` on `capture-fees` maps to the `captureId` as documented.

### February 2025

* Norwegian *Vippsnummer* merchants can access [GDPR data](https://developer.vippsmobilepay.com/docs/APIs/report-api/api-guide/fetching-report-data.md#gdpr-data) through the Report API.
* Bug fix Norway: The value of the `pspReference` on `capture-fee` entries maps to the `captureId` as documented.
* Each ledger is scoped to a single sales unit (merchant serial number).

### June 2024

* [`GET:/settlement/v1/ledgers`][get-ledgers-endpoint]
  now returns sales unit information as an array of objects. See
  [Downloading reports](https://developer.vippsmobilepay.com/docs/APIs/report-api/api-guide/fetching-report-data.md#retrieving-the-ledgerid)
  for details.

### May 2024

* Removed the deprecated `GET:/report/v1/ledgertransactions` endpoint.
  Requests to the endpoint will result in `HTTP 410 Gone`.

### February 2024

* Added the
  [GDPR data](https://developer.vippsmobilepay.com/docs/APIs/report-api/api-guide/fetching-report-data.md#gdpr-data)
  parameter `includeGDPRSensitiveData` for
  Vippsnummer payments.

### December 2023

* Removed `FirstPayout` and `LastPayout` from the response of
  [`GET:/settlement/v1/ledgers`](https://developer.vippsmobilepay.com/redocusaurus/report-swagger-id.yaml).
* Removed undocumented internal fields from
  [`GET:/report/v2/ledgers/{ledgerId}/{topic}/feed`](https://developer.vippsmobilepay.com/redocusaurus/report-swagger-id.yaml).
  These fields were never part of the API specification and their removal is considered a bug fix.
  The internal fields that were removed:
  `name`, `externalId`, `settlementEmailRecipients`, `settlementEmailFrequency`, `enableGrossSettlements`,
  `enableSettlementPayoutIfBlocked`, `blockSettlementPayouts`, `settlementFrequency`, `salesUnits`,
  `entityId`, `changedBy`, `changedAt` and `comment`.

### November 2023

* Added the `hasMore` field to
  [`GET:/report/v2/ledgers/{ledgerId}/{topic}/dates/{ledgerDate}`][fetch-report-by-date-endpoint]
  to reduce the learning curve of the API.

### September 2023

* Launched the final non-Beta version of the Report API, which is named `report/v2`. Version 1 is deprecated.

### November 2022

* Launched the beta of the Report API, `report/v1`.

## Version 2 compared to version 1

* The information in the `/ledgertransactions` endpoint has been split into
  different endpoints to list changes to balance (`funds`) and per-transaction
  fees charged by Vipps MobilePay AS (`fees`). This split is primarily done to make it more natural
  in the API to provide fee specifications also for merchants that receive gross settlements.
* Instead of query parameters to `/ledgertransactions` implying different modes
  of using the endpoint, we provide different endpoints for different ways
  of fetching/synchronizing the data.
* In total, `GET:/report/v1/ledgertransactions` is replaced by the following endpoints, where `{topic}` can be `funds` or `fees`:
  * [`GET:/report/v2/ledgers/{ledgerId}/{topic}/dates/{ledgerDate}`][fetch-report-by-date-endpoint]
  * [`GET:/report/v2/ledgers/{ledgerId}/{topic}/feed`][fetch-report-by-feed-endpoint]
* While all the above endpoints are very similar to the `v1/ledgertransactions` endpoint, there are some cosmetic changes:
  * `transactionId` has been renamed `pspReference` to be consistent with the [ePayment API](https://developer.vippsmobilepay.com/redocusaurus/epayment-swagger-id.yaml).
  * `orderId` has been renamed `reference` to be consistent with the [ePayment API](https://developer.vippsmobilepay.com/redocusaurus/epayment-swagger-id.yaml).
  * `ledgerAmount` is simply `amount`.
  * `transactionType` has been renamed to `entryType`.
    * The `payout` type has been renamed to `payout-scheduled`.
      Please consult the full list of entry types in the reference.
  * The `grossAmount` and `fee` columns are removed from this endpoint and replaced with:
    * Detailed information about fees available on the `/fees` endpoint; both for cases where
      fees are retained ("net settlements") and not ("gross settlements")
    * For net settlements, an adjustment of the ledger balance is included as a sum row.
      There is typically one such row per day, although details of this will vary according to when
      Vipps MobilePay legally collects the fees (`entryType` of `fees-retained`).
  * The `inPayout` argument to `v1/ledgertransactions` has no equivalent in the new API. Fetching data per date is the recommended alternative.
    * This feature may be added back as a separate `payouts` path alongside `feed` and `dates` if there is sufficient demand.
  * The `sincePayout` argument to `/ledgertransactions` has been removed and appears to be unused.

[get-ledgers-endpoint]: https://developer.vippsmobilepay.com/redocusaurus/report-swagger-id.yaml
[fetch-report-by-date-endpoint]: https://developer.vippsmobilepay.com/redocusaurus/report-swagger-id.yaml
[fetch-report-by-feed-endpoint]: https://developer.vippsmobilepay.com/redocusaurus/report-swagger-id.yaml

> **Full site overview:** For every page in this documentation, read [https://developer.vippsmobilepay.com/llms.txt](https://developer.vippsmobilepay.com/llms.txt).
